# vif_info_tag Struct Reference
[VIF_MGMT]

VIF Info Table. More...

`#include <vif_mgmt.h>`

Collaboration diagram for vif_info_tag:
[legend]

## Data Fields
struct co_list_hdr | list_hdr
| linked list header
uint32_t | prevent_sleep
| Bitfield indicating if this VIF currently allows sleep or not.
uint32_t | txq_params [AC_MAX]
| EDCA parameters of the different TX queues for this VIF.
struct mm_timer_tag | tbtt_timer
| TBTT timer structure.
struct mm_timer_tag | tmr_bcn_to
| Timer used for Beacon Reception Timeout.
struct mac_addr | bssid
| BSSID this VIF belongs to.
struct chan_ctxt_tag * | chan_ctxt
| Channel context on which this VIF is attached.
struct chan_tbtt_tag | tbtt_switch
| TBTT Switch Information.
struct mac_addr | mac_addr
| MAC address of the VIF.
uint8_t | type
| Type of the interface (VIF_STA, VIF_IBSS, VIF_MESH_POINT or VIF_AP).
uint8_t | index
| Index of the interface.
bool | active
| Flag indicating if the VIF is active or not.
int8_t | tx_power
| TX power configured for the interface (dBm).
int8_t | user_tx_power
| TX power configured for the interface (dBm) by user space (Taken into account only if lower than regulatory one).
union {
struct {
uint16_t listen_interval
| Listen interval.
bool dont_wait_bcmc
| Flag indicating if we are expecting BC/MC traffic or not.
uint8_t ps_retry
| Number of error seen during transmission of last NULL frame indicating PS change.
uint8_t ap_id
| Index of the station being the peer AP.
uint8_t bssid_index
| nonTransmitted BSSID index, in case the STA is connected to a nonTransmitted BSSID of a Multiple BSSID set.
uint8_t max_bssid_ind
| Maximum BSSID indicator, in case the STA is connected to a nonTransmitted BSSID of a Multiple BSSID set.
uint32_t uapsd_last_rxtx
| Time of last UAPSD transmitted/received frame.
uint8_t uapsd_queues
| Bitfield indicating which queues are U-APSD enabled.
uint8_t uapsd_tid
| UAPSD highest TID, used in the QoS-NULL trigger frames.
uint32_t mon_last_tx
| Time of last keep-alive frame sent to AP.
uint32_t mon_last_crc
| CRC of last received beacon.
uint8_t beacon_loss_cnt
| Number of beacon losses since last beacon reception.
int32_t last_tsf_offset
| Last computed TSF Offset.
uint32_t ctw_add_dur
| Addition duration to be added to the CTWindow, due to the TBTT_DELAY + drift value computed in mm_tbtt_compute.
bool sp_paused
| Status indicated if Service Period has been paused due to GO absence.
bool bcn_rcved
int8_t rssi
int8_t rssi_thold
uint8_t rssi_hyst
bool rssi_status
uint8_t csa_count
| Current CSA counter.
bool csa_occured
| Indicate if channel switch (due to CSA) just happened.
uint8_t tdls_chsw_sta_idx
| TDLS station index which requested the channel switch.
} sta
| STA specific parameter structure.
struct {
uint32_t dummy
struct txl_frame_desc_tag bcn_desc
| Frame descriptor that will be used for the beacon transmission.
uint16_t bcn_len
| Current length of the beacon (except TIM element).
uint16_t tim_len
| Current length of the TIM information element.
uint16_t tim_bitmap_set
| Number of bit currently set in the TIM virtual bitmap.
uint16_t bcn_int
| Beacon Interval used by AP or MP VIF (in TUs).
uint8_t bcn_tbtt_ratio
| Number of TBTT interrupts between each Beacon we have to send on this VIF.
uint8_t bcn_tbtt_cnt
| Number of expected TBTT interrupts before our next Beacon transmission.
bool bcn_configured
| Flag indicating if the beacon has been configured (i.e downloaded from host).
uint8_t dtim_count
| Current value of the DTIM counter.
uint8_t tim_n1
| Byte index of the LSB set in the TIM virtual bitmap.
uint8_t tim_n2
| Byte index of the MSB set in the TIM virtual bitmap.
uint8_t bc_mc_status
| Status bitfield of the BC/MC traffic bufferized (VIF_AP_BCMC_STATUS).
uint8_t csa_count
| Current CSA counter.
uint8_t csa_oft [BCN_MAX_CSA_CPT]
| Current CSA offset in beacon.
uint8_t ps_sta_cnt
| Flag indicating how many connected stations are currently in PS.
uint16_t ctrl_port_ethertype
| Control port ethertype.
} ap
| AP specific parameter structure.
} | u
| Union of AP/STA specific parameter structures.
struct co_list | sta_list
| List of stations linked to this VIF.
struct me_bss_info | bss_info
| Information about the BSS linked to this VIF.
struct key_info_tag | key_info [MAC_DEFAULT_MFP_KEY_COUNT]
| Default key information.
struct key_info_tag * | default_key
| Pointer to the current default key used.
struct key_info_tag * | default_mgmt_key
| Pointer to the current default mgmt key used.
uint32_t | flags
| Connection flags.
struct mac_chan_op | csa_channel
| Destination channel of CSA.
bool | p2p
| Indicate if this interface is configured for P2P operations.
uint8_t | p2p_index
| Index of the linked P2P Information structure.
uint8_t | p2p_link_nb
| Contain current number of registered P2P links for the VIF.
uint8_t | mvif_idx
| Mesh ID - Index of the used mesh_vif_info_tag structure when type is VIF_MESH_POINT.

## Detailed Description

VIF Info Table.

Definition at line 78 of file vif_mgmt.h.

## Field Documentation

uint8_t vif_info_tag::bssid_index

nonTransmitted BSSID index, in case the STA is connected to a nonTransmitted BSSID of a Multiple BSSID set.

Should be set to 0 otherwise

Definition at line 156 of file vif_mgmt.h.

uint8_t vif_info_tag::max_bssid_ind

Maximum BSSID indicator, in case the STA is connected to a nonTransmitted BSSID of a Multiple BSSID set.

Definition at line 159 of file vif_mgmt.h.

The documentation for this struct was generated from the following file:

- /space/home/slher/rel/Beken/v6_4_5/macsw/ip/lmac/src/vif/vif_mgmt.h